Package org.eclipse.lemminx.services.extensions.completion

## Interface ICompletionItemResolverRequest

All Superinterfaces:
  `IComponentProvider`, `ISharedSettingsRequest`

All Known Implementing Classes:
  `ResolveCompletionItemRequest`

    public interface ICompletionItemResolverRequest
    extends ISharedSettingsRequest, IComponentProvider

Represents a request from the client to resolve a given completion item, with information needed to resolve the request attached.

### Method Summary

All Methods Instance Methods Abstract Methods
`Integer` `getCompletionOffset()` Returns the completion offset coming from the completion item data and null otherwise.
`String` `getDataProperty​(String fieldName)` Returns the value of a field from the supplementary data attached to the request as a string.
`Boolean` `getDataPropertyAsBoolean​(String participantId)` Returns the value of a field from the supplementary data attached to the request as an boolean, or null if the field is not an boolean.
`Integer` `getDataPropertyAsInt​(String fieldName)` Returns the value of a field from the supplementary data attached to the request as an integer, or null if the field is not an integer.
`DOMDocument` `getDocument()` Returns the DOM document.
`String` `getParticipantId()` Returns the id of the participant that can resolve the request.
`org.eclipse.lsp4j.CompletionItem` `getUnresolved()` Returns the unresolved completion item.
`boolean` `isResolveAdditionalTextEditsSupported()` Returns true if the editor supports delayed resolution of additionalTextEdits and false otherwise.
`boolean` `isResolveDocumentationSupported()` Returns true if the editor supports delayed resolution of documentation and false otherwise.

### Methods inherited from interface org.eclipse.lemminx.services.extensions.IComponentProvider

`getComponent`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.ISharedSettingsRequest

`canSupportMarkupKind, getSharedSettings`

### Method Detail

#### getUnresolved

    org.eclipse.lsp4j.CompletionItem getUnresolved()

Returns the unresolved completion item.

Returns:
  the unresolved completion item

#### getParticipantId

    String getParticipantId()

Returns the id of the participant that can resolve the request.

Returns:
  the id of the participant that can resolve the request

#### getDataProperty

    String getDataProperty​(String fieldName)

Returns the value of a field from the supplementary data attached to the request as a string.

Parameters:
  `fieldName` - the name of the field to retrieve the data from
Returns:
  the value of a field from the supplementary data attached to the request as a string

#### getDataPropertyAsInt

    Integer getDataPropertyAsInt​(String fieldName)

Returns the value of a field from the supplementary data attached to the request as an integer, or null if the field is not an integer.

Parameters:
  `fieldName` - the name of the field to retrieve the data from
Returns:
  the value of a field from the supplementary data attached to the request as an integer, or null if the field is not an integer

#### getDataPropertyAsBoolean

    Boolean getDataPropertyAsBoolean​(String participantId)

Returns the value of a field from the supplementary data attached to the request as an boolean, or null if the field is not an boolean.

Parameters:
  `fieldName` - the name of the field to retrieve the data from
Returns:
  the value of a field from the supplementary data attached to the request as an boolean, or null if the field is not an boolean

#### getDocument

    DOMDocument getDocument()

Returns the DOM document.

Returns:
  the DOM document

#### isResolveDocumentationSupported

    boolean isResolveDocumentationSupported()

Returns true if the editor supports delayed resolution of documentation and false otherwise.

#### isResolveAdditionalTextEditsSupported

    boolean isResolveAdditionalTextEditsSupported()

Returns true if the editor supports delayed resolution of additionalTextEdits and false otherwise.

#### getCompletionOffset

    Integer getCompletionOffset()

Returns the completion offset coming from the completion item data and null otherwise.

Returns:
  the completion offset coming from the completion item data and null otherwise.